For the complete documentation index, see llms.txt. This page is also available as Markdown.

Complete Task

Complete Task — Taskade REST API v1 reference: POST /projects/{projectId}/tasks/{taskId}/complete. Parameters, authentication, and response schema.

post

Complete a task in a project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Successful complete a Task

application/json

Successful complete a Task

okboolean · enumRequiredPossible values:
post/projects/{projectId}/tasks/{taskId}/complete
POST /api/v1/projects/{projectId}/tasks/{taskId}/complete HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Last updated

Was this helpful?